org.eclnt.jsfserver.elements.impl

## Interface IFIXGRIDPersistence2

- All Known Implementing Classes:
    DefaultFIXGRIDPersistence

      public interface IFIXGRIDPersistence2

  Interface to fixgrid persistence management - second version. The grid's binding is now passed as parameter as well. As consequence you gain access to the column information of the grid by calling `FIXGRIDBinding.getColumnInfos()`.
  The columns (may) contain a persist id as well. You are as result able to better store the column sequence in a way that is abstracted from the concrete grid definition. Background: in case you extend an existing grid by adding new columns into existing ones, a column sequence that you stored will become invalid.
  The implementation class is defined in system.xml. Default implementation is `DefaultFIXGRIDPersistence`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IFIXGRIDPersistence.PersistentInfo` | `readPersistentInfo(FacesContext context, FIXGRIDBinding gridBinding, java.lang.String pageName, java.lang.String persistId)`
    `void` | `updatePersistentInfo(FacesContext context, FIXGRIDBinding gridBinding, java.lang.String pageName, java.lang.String persistId, IFIXGRIDPersistence.PersistentInfo persistentInfo)`

- - ### Method Detail

    - #### readPersistentInfo

          IFIXGRIDPersistence.PersistentInfo readPersistentInfo(FacesContext context,
                                                                FIXGRIDBinding gridBinding,
                                                                java.lang.String pageName,
                                                                java.lang.String persistId)

    - #### updatePersistentInfo

          void updatePersistentInfo(FacesContext context,
                                    FIXGRIDBinding gridBinding,
                                    java.lang.String pageName,
                                    java.lang.String persistId,
                                    IFIXGRIDPersistence.PersistentInfo persistentInfo)

Copyright © CaptainCasa Gmbh. All Rights Reserved.